Bug 166119 - Yum shell undocumented in man pages
Yum shell undocumented in man pages
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
4
noarch Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-16 20:32 EDT by J. Erik Hemdal
Modified: 2014-01-21 17:52 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-17 07:54:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description J. Erik Hemdal 2005-08-16 20:32:01 EDT
Description of problem:

Yum provides a shell, which is not documented in the manpage or info page.

Version-Release number of selected component (if applicable):
2.3.2-7

How reproducible:
N/A.

Steps to Reproduce:
1. check manpage and search for /shell/.  The only references are to
file-globbing.  No reference to a built-in shell and additional yum commands
available there.
2.
3.
  
Actual results:

Scripts such as yum.cron are confusing if you don't know that yum provides a
shell.  And the commands in yum-daily.yum are foreign unless you know that yum
has a shell with additional commands, such as 'ts run' that are not in the man page.

Expected results:

If yum can do it, it should be documented.  There appears to be some help text
for the yum shell, but it is available only by invoking the shell and using the
help command, which is not the same as the --help option (this is documented).

Additional info:

Currently, the only way to discover this is either to experiment or to locate
release notes or mailing list postings on this topic.

At the very least, the manpage should mention that the command

yum shell

will invoke an internal shell.  The manpage should at least indicate that more
help is available if you try the 'shell' command and type 'help'.
Comment 1 Stuart Ellis 2005-08-16 21:01:03 EDT
Yum is actually a third-party product, although the developers are closely
involved with Fedora.  The best place to file bugs on the supplied man pages is
directly on the yum project Bugzilla:

https://devel.linux.duke.edu/bugzilla/

I've now opened a new bug for updating the Fedora documentation to include this
information, so that we can give people better advice on where to file bugs:

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=166122


Comment 2 Paul W. Frields 2005-08-17 07:50:06 EDT
I've reopened this bug for the developers so that the reporter doesn't have to
file a new one.
Comment 3 Seth Vidal 2005-08-17 07:54:44 EDT
Closing - this is fixed in yum 2.4.0 which was released on this last saturday.
Comment 4 J. Erik Hemdal 2005-08-17 10:37:09 EDT
Thanks Paul for saving me some trouble, and Seth for the update.  Erik

Note You need to log in before you can comment on or make changes to this bug.